Bug 115572 - Synaptics Touchpad-equipped Compaq N600c cannot install
Synaptics Touchpad-equipped Compaq N600c cannot install
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-13 11:42 EST by Linus Walleij
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-14 09:27:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linus Walleij 2004-02-13 11:42:02 EST
Installation on Compaq EVO N600c with Synaptics Touchpad fails: after
starting anaconda the cursor is frozen in it's position.

How reproducible:

Always.

Steps to Reproduce:
1. Start installer. Pass by the media check test.
2. Anaconda starts. Anaconda can only be manouvered using the keyboard.

Additional info:

Workaround: start the installer. When the kernel has booted, but
before anaconda starts, insert a PS/2 mouse into the laptop. If
inserted at the right moment in time, X will seemingly detect it and
use it properly. The touchpad never works, though.

You cannot start the installer with the PS/2 mouse connected to the
machine: even the keyboard will be disabled if you do this, and you
cannot even pass the media check screen.

Perhaps the Synaptics touchpad patch needs to be applied to X:
http://w1.894.telia.com/~u89404340/touchpad/index.html

The XF86config needs alteration (loads separate module) if used with
this patch, so anaconda need to detect it's presence first. I don't
know if this patch will appear in XFree86 4.4.0.

This might be partly an X bug.
Comment 1 Aleksey Nogin 2004-02-18 00:21:53 EST
See also bug 99351 and bug 116091
Comment 2 Linus Walleij 2004-02-22 13:50:20 EST
With the newer kernels (like 2.6.3-1) the situation is even worse: the
kernel won't find the mouse even if it is plugged in at a later time.
Last kernel that works on this machine is 2.6.2-1.79.
Comment 3 Alan Cox 2004-05-03 18:13:19 EDT
Keyboard probing got some more rewrites, is this still a problem in
test3 ?
Comment 4 Linus Walleij 2004-05-04 14:02:38 EDT
The anaconda installer runs fine nowadays atleast, will test the
kernel install too and see if it works as fine.
Comment 5 Linus Walleij 2004-05-08 17:40:29 EDT
OK verified that test3 has it working all the way. There is still bug
116091, but this issue may be closed now.
Comment 6 Barry K. Nathan 2004-07-14 07:17:55 EDT
This bug should be closed, but it's still open. Linus, you should
close it yourself if possible (I would suggest resolving the bug as
CURRENTRELEASE).
Comment 7 Linus Walleij 2004-07-14 09:27:20 EDT
Oh my God, sorry for leaving it in limbo for so long...

Note You need to log in before you can comment on or make changes to this bug.